<?php

namespace Certificados;

return array(
    'router' => array(
        'routes' => array(
//            'home' => array(
//                'type' => 'Zend\Mvc\Router\Http\Literal',
//                'options' => array(
//                    'route' => '/certificados',
//                    'defaults' => array(
//                        '__NAMESPACE__' => 'Certificados\Controller',
//                        'controller' => 'Emissao',
//                        'action' => 'index',
//                    ),
//                ),
//            ),
            // Para facilitar a criação de rotas seguir o esquema abaixo com /module/:controller/:action            
            'certificados' => array(
                'type' => 'Literal',
                'options' => array(
                    'route' => '/certificados',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Certificados\Controller',
                        'controller' => 'Index',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
//                    'default' => array(
//                        'type' => 'Segment',
//                        'options' => array(
//                            'route' => '[:controller[/:action]]',
//                            'constraints' => array(
//                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
//                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
//                            ),
//                            'defaults' => array(
//                            ),
//                        ),
//                    ),
                    'emissao' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/emissao[/:action[/:id]]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
//                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'Emissao',
                                'action' => 'index',
//                                'id' => '[0-9]+',
                            ),
                        ),
                    ),
                    'validacao' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/validacao[/:action[/:key]]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'key' => '[a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'Validacao',
                                'action' => 'index',
                            ),
                        ),
                    ),
                    'consulta-usuario' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/consulta-usuario[/:action[/:info]]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
//                                'info' => '[0-9]*',
                            ),
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'ConsultaUsuario',
                                'action' => 'index',
                            ),
                        ),
                    ),
                    'emissao-manual' => array(
                        'type' => 'Literal',
                        'options' => array(
                            'route' => '/emissao-manual',                            
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'Emissao',
                                'action' => 'manual',
                            ),
                        ),
                    ),
                    'consulta-interna' => array(
                        'type' => 'Segment',
                        'options' => array(
                            'route' => '/consulta-interna[/:action[/:id]]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'ConsultaInterna',
                                'action' => 'index',
                            ),
                        ),
                    ),
                    'login' => array(
                        'type' => 'Literal',
                        'options' => array(
                            'route' => '/login',
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'Login',
                                'action' => 'login'
                            ),
                        ),
                    ),
                    'logout' => array(
                        'type' => 'Literal',
                        'options' => array(
                            'route' => '/logout',
                            'defaults' => array(
                                '__NAMESPACE__' => 'Certificados\Controller',
                                'controller' => 'Login',
                                'action' => 'logout'
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),
    'service_manager' => array(
        'abstract_factories' => array(
            'Zend\Cache\Service\StorageCacheAbstractServiceFactory',
            'Zend\Log\LoggerAbstractServiceFactory',
        ),
        'aliases' => array(
            'translator' => 'MvcTranslator',
        ),
    ),
    'translator' => array(
        'locale' => 'pt_BR',
        'translation_file_patterns' => array(
            array(
                'type' => 'gettext',
                'base_dir' => __DIR__ . '/../language',
                'pattern' => '%s.mo',
            ),
        ),
    ),
    'controllers' => array(
        'invokables' => array(
            'Certificados\Controller\Index' => 'Certificados\Controller\IndexController',
            'Certificados\Controller\Emissao' => 'Certificados\Controller\EmissaoController',
            'Certificados\Controller\Validacao' => 'Certificados\Controller\ValidacaoController',
            'Certificados\Controller\ConsultaUsuario' => 'Certificados\Controller\ConsultaUsuarioController',
            'Certificados\Controller\ConsultaInterna' => 'Certificados\Controller\ConsultaInternaController',
            'Certificados\Controller\Login' => 'Certificados\Controller\LoginController',
        ),
    ),
    'view_manager' => array(
        'display_not_found_reason' => TRUE,
        'display_exceptions' => TRUE,
        'doctype' => 'HTML5',
        'not_found_template' => 'error/404',
        'exception_template' => 'error/index',
        'template_map' => array(
            'layout/layout' => __DIR__ . '/../view/layout/layout.phtml',
            'certificados/index/index' => __DIR__ . '/../view/certificados/index/index.phtml',
            'error/404' => __DIR__ . '/../view/error/404.phtml',
            'error/index' => __DIR__ . '/../view/error/index.phtml',
        ),
        'template_path_stack' => array(
            __DIR__ . '/../view',
        ),
    ),
    'console' => array(
        'router' => array(
            'routes' => array(
            ),
        ),
    ),
//    'doctrine' => array(
//        'driver' => array(
//            __NAMESPACE__ . '_driver' => array(
//                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
//                'cache' => 'array',
//                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
//            ),
//            'orm_default' => array(
//                'drivers' => array(
//                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
//                )
//            ),
//        ),
//    ),
    'doctrine' => array(
        'driver' => array(
            __NAMESPACE__ . '_driver' => array(
                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
                'cache' => 'array',
                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
            ),
            'orm_default' => array(
                'drivers' => array(
                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
                )
            )
        )
    )
);
