<?php

namespace Certificados\Auth;

//use Certificados\Entity\Pessoa;
use Doctrine\ORM\EntityManager;
use Zend\Authentication\Adapter\AdapterInterface;
use Zend\Authentication\Result;

class Adapter implements AdapterInterface {

    protected $em;
    protected $login;
    protected $senha;

    public function __construct(EntityManager $em) {
        $this->em = $em;
    }

    public function authenticate() {
        $repository = $this->em->getRepository('Certificados\Entity\Pessoa');
        $pessoa = $repository->findByLoginAndPassword($this->getLogin(), $this->getSenha());
        if ($pessoa) {
            $eventos_coordenados = $this->em->getRepository('Certificados\Entity\Comissao')->findEventosCoordenadosByPessoa($pessoa->getPessoaId());

            if ($eventos_coordenados) {
                return new Result(Result::SUCCESS, array('pessoa' => $pessoa), array('OK'));
            } else {
                return new Result(Result::FAILURE_CREDENTIAL_INVALID, null, array());
            }
        } else {
            return new Result(Result::FAILURE_CREDENTIAL_INVALID, null, array());
        }
    }

    public function getEm() {
        return $this->em;
    }

    public function setEm($em) {
        $this->em = $em;
    }

    function getLogin() {
        return $this->login;
    }

    function getSenha() {
        return $this->senha;
    }

    function setLogin($login) {
        $this->login = $login;
    }

    function setSenha($senha) {
        $this->senha = $senha;
    }

}
