<?php

namespace Certificados\Controller;

use Certificados\Entity\Certificado;
use Certificados\Form\ConsultaUsuario as ConsultaUsuarioForm;
use Certificados\Util\Util;
use DoctrineORMModule\Proxy\__CG__\Certificados\Entity\Pessoa;
use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

class ConsultaUsuarioController extends AbstractActionController {

    protected $em;

    protected function getEm() {
        if (null === $this->em) {
            $this->em = $this->getServiceLocator()->get('Doctrine\ORM\EntityManager');
        }
        return $this->em;
    }

    public function indexAction() {
        $form = new ConsultaUsuarioForm();
        $request = $this->getRequest();
        $error = false;
        if ($request->isPost()) {
            $data = $request->getPost();
            $form->setData($data);
            if ($form->isValid()) {
                $pessoa = $this->getEm()->getRepository('Certificados\Entity\Pessoa')->findOneByPesCpf($data['cpf']);
                if ($pessoa) {
                    $this->redirect()->toRoute('certificados/consulta-usuario', array(
                        'controller' => 'ConsultaUsuario',
                        'action' => 'listar',
                        'info' => Util::encrypt($data['cpf'])
                    ));
                } else {
                    $this->flashMessenger()->addMessage("true");
                    return $this->redirect()->toRoute("certificados/consulta-usuario");
                }
            } else {
                $this->flashMessenger()->addMessage("true");
                return $this->redirect()->toRoute("certificados/consulta-usuario");
            }
        }
        return new ViewModel(array('form' => $form, 'error' => $this->flashMessenger()->getMessages() ? $this->flashMessenger()->getMessages()[0] : false));
    }

    public function listarAction() {
        $cpf_encrypt = $this->params()->fromRoute("info", '12345678910');
        $cpf = Util::decrypt($cpf_encrypt);

        $pessoa = $this->getEm()->getRepository('Certificados\Entity\Pessoa')->findOneByPesCpf($cpf);
        if ($pessoa) {
            $certificados = $this->getEm()->getRepository('Certificados\Entity\Certificado')->findByPessoa($pessoa);
        } else {
            $this->flashMessenger()->addMessage("true");
            return $this->redirect()->toRoute("certificados/consulta-usuario");
        }
        return new ViewModel(array('certificados' => $certificados, 'pessoa' => $pessoa));
    }
}
