<?php

namespace Certificados\Controller;

//use Certificados\Auth\Adapter;
use Certificados\Form\Login as LoginForm;
use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;
use Zend\Authentication\AuthenticationService;
use Zend\Authentication\Storage\Session as SessionStorage;

class LoginController extends AbstractActionController {

    protected $em;

    protected function getEm() {
        if (null === $this->em) {
            $this->em = $this->getServiceLocator()->get('Doctrine\ORM\EntityManager');
        }
        return $this->em;
    }

    public function loginAction() {
        $auth = new AuthenticationService;

        $auth->setStorage(new SessionStorage("EMISSAO_CERTIFICADOS"));
        if (!$auth->hasIdentity()) {
            $form = new LoginForm();
            $request = $this->getRequest();

            if ($request->isPost()) {
                $data = $request->getPost();
                $form->setData($data);
                if ($form->isValid()) {
                    $sessionStorage = new SessionStorage("EMISSAO_CERTIFICADOS");
                    $auth = new AuthenticationService;
                    $auth->setStorage($sessionStorage); //Definindo o SessionStorage para a auth
                    $authAdapter = $this->getServiceLocator()->get('Certificados\Auth\Adapter');
                    $authAdapter->setLogin($data['usuario']);
                    $authAdapter->setSenha($data['senha']);
                    $result = $auth->authenticate($authAdapter);
                    if ($result->isValid()) {
                        $sessionStorage->write($auth->getIdentity()['pessoa'], null);

                        return $this->redirect()->toRoute('certificados');
                    } else {
                        $this->flashMessenger()->addMessage("true");
                    }
                } else {
                    $this->flashMessenger()->addMessage("true");
//                    return $this->redirect()->toRoute("certificados/login");
                }
            }
        } else {
            return $this->redirect()->toRoute("certificados/emissao");
        }
        return new ViewModel(array('form' => $form, 'error' => $this->flashMessenger()->getMessages() ? $this->flashMessenger()->getMessages()[0] : false));
    }

    public function logoutAction() {
        $auth = new AuthenticationService;
        $auth->setStorage(new SessionStorage("EMISSAO_CERTIFICADOS"));
        $auth->clearIdentity();
        return $this->redirect()->toRoute('certificados/login');
    }

}
