<?php

namespace Certificados\Controller;

use Certificados\Entity\Certificado;
use Certificados\Form\Validacao as ValidacaoForm;
use DOMPDFModule\View\Model\PdfModel;
use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

class ValidacaoController extends AbstractActionController {

    protected $em;

    protected function getEm() {
        if (null === $this->em) {
            $this->em = $this->getServiceLocator()->get('Doctrine\ORM\EntityManager');
        }
        return $this->em;
    }

    public function indexAction() {
        $form = new ValidacaoForm();
        $request = $this->getRequest();
        if ($request->isPost()) {
            $data = $request->getPost();
            $form->setData($data);
            if ($form->isValid()) {
                $certificado = $this->getEm()->getRepository('Certificados\Entity\Certificado')->findOneByCerChaveValidacao($data['key']);
                if ($certificado) {
                    return $this->redirect()->toRoute('certificados/validacao', array(
                                'controller' => 'Validacao',
                                'action' => 'key',
                                'key' => $data['key']
                    ));
                } else {
                    $this->flashMessenger()->addMessage("true");
                    return $this->redirect()->toRoute("certificados/validacao");
                }
            } else {
                $this->flashMessenger()->addMessage("true");
                return $this->redirect()->toRoute("certificados/validacao");
            }
        }
        return new ViewModel(array('form' => $form, 'error' => $this->flashMessenger()->getMessages()? $this->flashMessenger()->getMessages()[0]:false));
    }

    public function keyAction() {
        $key = $this->params()->fromRoute("key", 0);
        $certificado = $this->getEm()->getRepository('Certificados\Entity\Certificado')->findOneByCerChaveValidacao($key);
        $pdf = new PdfModel();
        if ($certificado) {
            $pdf->setOption('paperSize', 'a4');
            $pdf->setOption('paperOrientation', 'landscape');
            $pdf->setVariables(array(                
                'certificado' => $certificado,                                                                                              
            ));
        } else {
            $this->flashMessenger()->addMessage("true");
            return $this->redirect()->toRoute("certificados/validacao");
        }
        return $pdf;
    }

}
