<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Cidade
 *
 * @ORM\Table(name="cidade", indexes={@ORM\Index(name="fk_cidade_unidade_federativa1_idx", columns={"unidade_federativa_id"})})
 * @ORM\Entity
 */
class Cidade {

    /**
     * @var integer
     *
     * @ORM\Column(name="cidade_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $cidadeId;

    /**
     * @var string
     *
     * @ORM\Column(name="cid_nome", type="string", length=45, nullable=true)
     */
    private $cidNome;

    /**
     * @var \UnidadeFederativa
     *
     * @ORM\ManyToOne(targetEntity="UnidadeFederativa")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="unidade_federativa_id", referencedColumnName="unidade_federativa_id")
     * })
     */
    private $unidadeFederativa;

    function getCidadeId() {
        return $this->cidadeId;
    }

    function getCidNome() {
        return $this->cidNome;
    }

    function getUnidadeFederativa() {
        return $this->unidadeFederativa;
    }

    function setCidadeId($cidadeId) {
        $this->cidadeId = $cidadeId;
    }

    function setCidNome($cidNome) {
        $this->cidNome = $cidNome;
    }

    function setUnidadeFederativa($unidadeFederativa) {
        $this->unidadeFederativa = $unidadeFederativa;
    }

}
