<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Inscricao
 *
 * @ORM\Table(name="comissao")
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\ComissaoRepository")
 */
class Comissao {

    /**
     * @var boolean
     *
     * @ORM\Column(name="com_coordenador", type="boolean", nullable=false)
     */
    private $comCoordenador = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="com_carga_horaria", type="integer", nullable=false)
     */
    private $comCargaHoraria = 0;

    /**
     * @var \Pessoa
     * 
     * @ORM\Id()
     * @ORM\ManyToOne(targetEntity="Pessoa", inversedBy="comissao") 
     * @ORM\JoinColumn(name="pessoa_id", referencedColumnName="pessoa_id", nullable=false) 
     */
    protected $pessoa;

    /**
     * @var \Evento
     * 
     * @ORM\Id()
     * @ORM\ManyToOne(targetEntity="Evento", inversedBy="comissao") 
     * @ORM\JoinColumn(name="evento_id", referencedColumnName="evento_id", nullable=false) 
     */
    protected $evento;
    
    function getComCoordenador() {
        return $this->comCoordenador;
    }

    function getComCargaHoraria() {
        return $this->comCargaHoraria;
    }

    function getPessoa() {
        return $this->pessoa;
    }

    function getEvento() {
        return $this->evento;
    }

    function setComCoordenador($comCoordenador) {
        $this->comCoordenador = $comCoordenador;
        return $this;
    }

    function setComCargaHoraria($comCargaHoraria) {
        $this->comCargaHoraria = $comCargaHoraria;
        return $this;
    }

    function setPessoa($pessoa) {
        $this->pessoa = $pessoa;
        return $this;
    }

    function setEvento($evento) {
        $this->evento = $evento;
        return $this;
    }


}
