<?php

namespace Certificados\Entity;

use Doctrine\ORM\EntityRepository;

class ComissaoRepository extends EntityRepository {

    function findColaboradores($evento) {
        $colaboradores = $this->findByEvento($evento);
        $colaboradores_com_id = array();
        foreach ($colaboradores as $colaborador) {
            if (!$colaborador->getComCoordenador()) {
//                unset($colaboradores[$key]);
                $colaboradores_com_id[$colaborador->getPessoa()->getPessoaId()] = $colaborador;
            }
        }
        return $colaboradores_com_id;
    }

    function findCoordenadores($evento) {
        $coordenadores = $this->findByEvento($evento);
        $coordenadores_com_id = array();
        foreach ($coordenadores as $coordenador) {
            if ($coordenador->getComCoordenador()) {
                $coordenadores_com_id[$coordenador->getPessoa()->getPessoaId()] = $coordenador;
            }
        }
        return $coordenadores_com_id;
    }

    function findOneByPessoaEvento($pessoa, $evento) {
        $membro_comissao = $this->findBy((array('pessoa' => $pessoa, 'evento' => $evento)));
        return $membro_comissao;
    }

    public function findEventosDisponiveisByPessoa($id) {
        $retorno = array();
        $pessoa = $this->getEntityManager()->getRepository('Certificados\Entity\Pessoa')->findOneByPessoaId($id);
        $participacao_comissoes = $this->findByPessoa($pessoa->getPessoaId());
        $eventos = array();
        if ($participacao_comissoes) {
            foreach ($participacao_comissoes as $participacao_comissao) {
                $evento = $participacao_comissao->getEvento();
                if ($evento->getEveDisponivelEmissao() && $participacao_comissao->getComCoordenador()) {
                    $data_evento = $evento->getEveFim()->format("Y-m-d");
                    if (strtotime($data_evento) < strtotime(date("Y-m-d"))) {
                        $data_limite = date("Y-m-d", strtotime($data_evento . " +600 days"));
                        if (strtotime($data_limite) > strtotime(date("Y-m-d"))) {
                            $eventos[] = $evento;
                        }
                    }
                }
            }
        }
        $retorno["pessoa"] = $pessoa;
        $retorno["eventos"] = $eventos;
        return $retorno;
    }

    public function findEventosCoordenadosByPessoa($id) {
        //$retorno = array();
        $pessoa = $this->getEntityManager()->getRepository('Certificados\Entity\Pessoa')->findOneByPessoaId($id);
        $participacao_comissoes = $this->findByPessoa($pessoa->getPessoaId());
        $eventos = array();
        if ($participacao_comissoes) {
            foreach ($participacao_comissoes as $participacao_comissao) {
                $evento = $participacao_comissao->getEvento();
                if ($participacao_comissao->getComCoordenador()) {
                    $eventos[] = $evento;
                }
            }
        }
        //$retorno["pessoa"] = $pessoa;
        //$retorno["eventos"] = $eventos;
        return $eventos;
    }

}
