<?php 

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * 
 *
 * @ORM\Table(name="evento_secundario")
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\EventoSecundarioRepository")
 */
class EventoSecundario
{
    /**
     * @var integer
     *
     * @ORM\Column(name="evento_secundario_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $eventoSecundarioId;

    /**
     * @var string
     *
     * @ORM\Column(name="eves_nome", type="text", nullable=false)
     */
    private $evesNome;

    /**
     * @var string
     *
     * @ORM\Column(name="eves_descricao", type="text", nullable=false)
     */
    private $evesDescricao;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="eves_inicio", type="datetime", nullable=false)
     */
    private $evesInicio;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="eves_fim", type="datetime", nullable=false)
     */
    private $evesFim;

    /**
     * @var integer
     *
     * @ORM\Column(name="eves_vagas", type="integer", nullable=true)
     */
    private $evesVagas;

    /**
     * @var \Doctrine\Common\Collections\Collection
     * @ORM\ManyToOne(targetEntity="Evento")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="evento_id", referencedColumnName="evento_id")
     * })
     */
    private $evento;

    /**
     * @var \Doctrine\Common\Collections\Collection
     *
     * @ORM\ManyToOne(targetEntity="EventoTipo")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="evento_tipo_id", referencedColumnName="evento_tipo_id")
     * })
     */
    private $eventoTipo;

    /**
     * @var \Doctrine\Common\Collections\Collection
     *
     * @ORM\ManyToOne(targetEntity="Local")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="local_id", referencedColumnName="local_id")
     * })
     */
    private $local;

    /**
     * @var \Doctrine\Common\Collections\Collection
     * @ORM\OneToMany(targetEntity="InscricaoEventoSecundario", mappedBy="evento_secundario")
     */
    private $inscricao;

    /**
     * @var integer
     *
     * @ORM\Column(name="eves_carga_horaria", type="integer", nullable=true)
     */
    private $evesCargaHoraria;
    
    /**
     * Constructor
     */

    public function getEventoSecundarioId() {
        return $this->eventoSecundarioId;
    }

    public function getEvesNome() {
        return $this->evesNome;
    }

    public function getEvesDescricao() {
        return $this->evesDescricao;
    }

    public function getEvesInicio() {
        return $this->evesInicio;
    }

    public function getEvesFim() {
        return $this->evesFim;
    }

    public function getEvesVagas() {
        return $this->evesVagas;
    }

    public function getEvento() {
        return $this->evento;
    }

    public function getEventoTipo() {
        return $this->eventoTipo;
    }

    public function getLocal() {
        return $this->local;
    }

    public function getInscricao() {
        return $this->inscricao;
    }

    public function setEventoSecundarioId($eventoSecundarioId) {
        $this->eventoSecundarioId = $eventoSecundarioId;
        return $this;
    }

    public function setEvesNome($evesNome) {
        $this->evesNome = $evesNome;
        return $this;
    }

    public function setEvesDescricao($evesDescricao) {
        $this->evesDescricao = $evesDescricao;
        return $this;
    }

    public function setEvesInicio(\DateTime $evesInicio) {
        $this->evesInicio = $evesInicio;
        return $this;
    }

    public function setEvesFim(\DateTime $evesFim) {
        $this->evesFim = $evesFim;
        return $this;
    }

    public function setEvesVagas($evesVagas) {
        $this->evesVagas = $evesVagas;
        return $this;
    }

    public function setEvento(\Doctrine\Common\Collections\Collection $evento) {
        $this->evento = $evento;
        return $this;
    }

    public function setEventoTipo(\Doctrine\Common\Collections\Collection $eventoTipo) {
        $this->eventoTipo = $eventoTipo;
        return $this;
    }

    public function setLocal(\Doctrine\Common\Collections\Collection $local) {
        $this->local = $local;
        return $this;
    }

    public function setInscricao(\Doctrine\Common\Collections\Collection $inscricao) {
        $this->inscricao = $inscricao;
        return $this;
    }
    
    public function getEvesCargaHoraria() {
        return $this->evesCargaHoraria;
    }

    public function setEvesCargaHoraria($evesCargaHoraria) {
        $this->evesCargaHoraria = $evesCargaHoraria;
        return $this;
    }




}
