<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Inscricao
 *
 * @ORM\Table(name="inscricao", indexes={@ORM\Index(name="fk_pessoa_has_evento_evento1_idx", columns={"evento_id"}), @ORM\Index(name="fk_pessoa_has_evento_pessoa_idx", columns={"pessoa_id"})})
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\InscricaoRepository")
 */
class Inscricao
{
    /**
     * @var integer
     *
     * @ORM\Column(name="inscricao_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $inscricaoId;

    /**
     * @var boolean
     *
     * @ORM\Column(name="ins_cancelada", type="boolean", nullable=false)
     */
    private $insCancelada = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="ins_homologada", type="boolean", nullable=false)
     */
    private $insHomologada = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="ins_notificacoes", type="boolean", nullable=false)
     */
    private $insNotificacoes = '1';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="ins_data", type="datetime", nullable=false)
     */
    private $insData = 'CURRENT_TIMESTAMP';

    /**
     * @var boolean
     *
     * @ORM\Column(name="ins_credenciamento", type="boolean", nullable=false)
     */
    private $insCredenciamento = '0';

    /**
     * @var \Pessoa
     *
     * @ORM\ManyToOne(targetEntity="Pessoa")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="pessoa_id", referencedColumnName="pessoa_id")
     * })
     */
    private $pessoa;

    /**
     * @var \Evento
     *
     * @ORM\ManyToOne(targetEntity="Evento")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="evento_id", referencedColumnName="evento_id")
     * })
     */
    private $evento;

    /**
     * @var \Doctrine\Common\Collections\Collection
     * @ORM\OneToMany(targetEntity="InscricaoEventoSecundario", mappedBy="inscricao")
     * 
     */
    private $inscricaoEventoSecundario;
    
    public function getInscricaoId() {
        return $this->inscricaoId;
    }

    public function getInsCancelada() {
        return $this->insCancelada;
    }

    public function getInsHomologada() {
        return $this->insHomologada;
    }

    public function getInsNotificacoes() {
        return $this->insNotificacoes;
    }

    public function getInsData() {
        return $this->insData;
    }

    public function getInsCredenciamento() {
        return $this->insCredenciamento;
    }

    public function getPessoa() {
        return $this->pessoa;
    }

    public function getEvento() {
        return $this->evento;
    }

    public function getEventoSecundario() {
        return $this->eventoSecundario;
    }

    public function setInscricaoId($inscricaoId) {
        $this->inscricaoId = $inscricaoId;
    }

    public function setInsCancelada($insCancelada) {
        $this->insCancelada = $insCancelada;
    }

    public function setInsHomologada($insHomologada) {
        $this->insHomologada = $insHomologada;
    }

    public function setInsNotificacoes($insNotificacoes) {
        $this->insNotificacoes = $insNotificacoes;
    }

    public function setInsData(\DateTime $insData) {
        $this->insData = $insData;
    }

    public function setInsCredenciamento($insCredenciamento) {
        $this->insCredenciamento = $insCredenciamento;
    }

    public function setPessoa(\Pessoa $pessoa) {
        $this->pessoa = $pessoa;
    }

    public function setEvento(\Evento $evento) {
        $this->evento = $evento;
    }

    public function setEventoSecundario(\Doctrine\Common\Collections\Collection $eventoSecundario) {
        $this->eventoSecundario = $eventoSecundario;
    }
    
    public function getInscricaoEventoSecundario() {
        return $this->inscricaoEventoSecundario;
    }

    public function setInscricaoEventoSecundario(\Doctrine\Common\Collections\Collection $inscricaoEventoSecundario) {
        $this->inscricaoEventoSecundario = $inscricaoEventoSecundario;
        return $this;
    }

    
        
    /**
     * Constructor
     */
    public function __construct()
    {
        $this->eventoSecundario = new \Doctrine\Common\Collections\ArrayCollection();
    }

}
