<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InscricaoEventoSecundario
 *
 * @ORM\Table(name="inscricao_evento_secundario"),
 * @ORM\Entity
 * @ORM\Entity(repositoryClass="Certificados\Entity\InscricaoEventoSecundarioRepository")
 */
class InscricaoEventoSecundario
{
    /**
     * @ORM\Id
     * @ORM\ManyToOne(targetEntity="Inscricao")
     * @ORM\JoinColumn(name="inscricao_id", referencedColumnName="inscricao_id")
     */
    private $inscricao;
    
    /**
     * @ORM\Id
     * @ORM\ManyToOne(targetEntity="EventoSecundario")
     * @ORM\JoinColumn(name="evento_secundario_id", referencedColumnName="evento_secundario_id")
     */
    private $eventoSecundario;

    
    /**
     * @var boolean
     *
     * @ORM\Column(name="inses_presenca", type="boolean", nullable=false)
     */
    private $insesPresenca = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="inses_cancelado", type="boolean", nullable=false)
     */
    private $insesCancelada = '0';
    
    public function getInscricao() {
        return $this->inscricao;
    }

    public function getEventoSecundario() {
        return $this->eventoSecundario;
    }

    public function getInsesPresenca() {
        return $this->insesPresenca;
    }

    public function getInsesCancelada() {
        return $this->insesCancelada;
    }

    public function setInscricao($inscricao) {
        $this->inscricao = $inscricao;
        return $this;
    }

    public function setEventoSecundario($eventoSecundario) {
        $this->eventoSecundario = $eventoSecundario;
        return $this;
    }

    public function setInsesPresenca($insesPresenca) {
        $this->insesPresenca = $insesPresenca;
        return $this;
    }

    public function setInsesCancelada($insesCancelada) {
        $this->insesCancelada = $insesCancelada;
        return $this;
    }



}
