<?php

namespace Certificados\Entity;

use Certificados\Entity\EventoSecundario;
use Doctrine\ORM\EntityRepository;

class InscricaoRepository extends EntityRepository {
//
//    public function calculaCargaHoraria($inscricao) {
//        $carga_horaria = 0;
//        foreach ($inscricao->getInscricaoEventoSecundario() as $eventoSec) {
//            if ($eventoSec->getInsesPresenca()) {
//                $carga_horaria += $eventoSec->getEventoSecundario()->getEvesCargaHoraria();
//            }
//        }
//        return $carga_horaria;
//    }

    
    public function calculaCargaHorariaByInscricao($inscricao) {
        $carga_horaria = 0;
        $em = $this->getEntityManager();
        $eventos_secundarios = $em->getRepository('Certificados\Entity\EventoSecundario')->findByEvento($inscricao->getEvento()->getEventoId());
                
        if ($eventos_secundarios) {
            foreach ($inscricao->getInscricaoEventoSecundario() as $eventoSec) {
                if ($eventoSec->getInsesPresenca() && !$eventoSec->getInsesCancelada()) {
                    $carga_horaria += $eventoSec->getEventoSecundario()->getEvesCargaHoraria();
                }
            }
        } else {
            $carga_horaria = $inscricao->getEvento()->getEveCargaHoraria();
        }
        return $carga_horaria;
    }

    
    
    public function findInscricoesCredenciadas($evento) {
        $inscricoes = $this->findByEvento($evento);
        $inscricao_carga_horaria = array();
        foreach ($inscricoes as $inscricao) {
            if ($inscricao->getInsCredenciamento() && (!$inscricao->getInsCancelada())) {

                $carga_horaria = $this->calculaCargaHorariaByInscricao($inscricao);
                if ($carga_horaria > 0) {
                    $inscricao_carga_horaria[$inscricao->getPessoa()->getPessoaId()] = array('inscricao' => $inscricao, 'carga_horaria' => $carga_horaria);
                }
            }
        }
        return $inscricao_carga_horaria;
    }

}
