<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UnidadeEnsino
 *
 * @ORM\Table(name="unidade_ensino", uniqueConstraints={@ORM\UniqueConstraint(name="unie_sigla_UNIQUE", columns={"unie_sigla"})}, indexes={@ORM\Index(name="fk_unidade_ensino_tipo_unidade_ensino1_idx", columns={"unidade_ensino_tipo_id"}), @ORM\Index(name="fk_unidade_ensino_cidade1_idx", columns={"cidade_id"})})
 * @ORM\Entity
 */
class UnidadeEnsino
{
    /**
     * @var integer
     *
     * @ORM\Column(name="unidade_ensino_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $unidadeEnsinoId;

    /**
     * @var string
     *
     * @ORM\Column(name="unie_nome", type="string", length=200, nullable=false)
     */
    private $unieNome;

    /**
     * @var string
     *
     * @ORM\Column(name="unie_sigla", type="string", length=10, nullable=true)
     */
    private $unieSigla;

    /**
     * @var string
     *
     * @ORM\Column(name="unie_endereco", type="string", length=150, nullable=false)
     */
    private $unieEndereco;

    /**
     * @var string
     *
     * @ORM\Column(name="unie_bairro", type="string", length=100, nullable=false)
     */
    private $unieBairro;

    /**
     * @var integer
     *
     * @ORM\Column(name="unie_cep", type="integer", nullable=false)
     */
    private $unieCep;

    /**
     * @var string
     *
     * @ORM\Column(name="unie_fone", type="string", length=45, nullable=true)
     */
    private $unieFone;

    /**
     * @var string
     *
     * @ORM\Column(name="unie_site", type="string", length=150, nullable=true)
     */
    private $unieSite;

    /**
     * @var \UnidadeEnsinoTipo
     *
     * @ORM\ManyToOne(targetEntity="UnidadeEnsinoTipo")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="unidade_ensino_tipo_id", referencedColumnName="unidade_ensino_tipo_id")
     * })
     */
    private $unidadeEnsinoTipo;

    /**
     * @var \Cidade
     *
     * @ORM\ManyToOne(targetEntity="Cidade")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cidade_id", referencedColumnName="cidade_id")
     * })
     */
    private $cidade;

    function getUnidadeEnsinoId() {
        return $this->unidadeEnsinoId;
    }

    function getUnieNome() {
        return $this->unieNome;
    }

    function getUnieSigla() {
        return $this->unieSigla;
    }

    function getUnieEndereco() {
        return $this->unieEndereco;
    }

    function getUnieBairro() {
        return $this->unieBairro;
    }

    function getUnieCep() {
        return $this->unieCep;
    }

    function getUnieFone() {
        return $this->unieFone;
    }

    function getUnieSite() {
        return $this->unieSite;
    }

    function getUnidadeEnsinoTipo() {
        return $this->unidadeEnsinoTipo;
    }

    function getCidade() {
        return $this->cidade;
    }

    function setUnidadeEnsinoId($unidadeEnsinoId) {
        $this->unidadeEnsinoId = $unidadeEnsinoId;
    }

    function setUnieNome($unieNome) {
        $this->unieNome = $unieNome;
    }

    function setUnieSigla($unieSigla) {
        $this->unieSigla = $unieSigla;
    }

    function setUnieEndereco($unieEndereco) {
        $this->unieEndereco = $unieEndereco;
    }

    function setUnieBairro($unieBairro) {
        $this->unieBairro = $unieBairro;
    }

    function setUnieCep($unieCep) {
        $this->unieCep = $unieCep;
    }

    function setUnieFone($unieFone) {
        $this->unieFone = $unieFone;
    }

    function setUnieSite($unieSite) {
        $this->unieSite = $unieSite;
    }

    function setUnidadeEnsinoTipo($unidadeEnsinoTipo) {
        $this->unidadeEnsinoTipo = $unidadeEnsinoTipo;
    }

    function setCidade($cidade) {
        $this->cidade = $cidade;
    }



}
