<?php

namespace Certificados\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UnidadeFederativa
 *
 * @ORM\Table(name="unidade_federativa", indexes={@ORM\Index(name="fk_unidade_federativa_pais1_idx", columns={"pais_id"})})
 * @ORM\Entity
 */
class UnidadeFederativa
{
    /**
     * @var integer
     *
     * @ORM\Column(name="unidade_federativa_id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $unidadeFederativaId;

    /**
     * @var string
     *
     * @ORM\Column(name="unif_nome", type="string", length=75, nullable=false)
     */
    private $unifNome;

    /**
     * @var string
     *
     * @ORM\Column(name="unif_sigla", type="string", length=5, nullable=false)
     */
    private $unifSigla;

    /**
     * @var \Pais
     *
     * @ORM\ManyToOne(targetEntity="Pais")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="pais_id", referencedColumnName="pais_id")
     * })
     */
    private $pais;

    function getUnidadeFederativaId() {
        return $this->unidadeFederativaId;
    }

    function getUnifNome() {
        return $this->unifNome;
    }

    function getUnifSigla() {
        return $this->unifSigla;
    }

    function getPais() {
        return $this->pais;
    }

    function setUnidadeFederativaId($unidadeFederativaId) {
        $this->unidadeFederativaId = $unidadeFederativaId;
    }

    function setUnifNome($unifNome) {
        $this->unifNome = $unifNome;
    }

    function setUnifSigla($unifSigla) {
        $this->unifSigla = $unifSigla;
    }

    function setPais($pais) {
        $this->pais = $pais;
    }



}
