<?php

namespace Certificados\Form;

use Zend\Form\Element\Select;
use Zend\Form\Element\Text;
use Zend\Form\Form;

class EmissaoManual extends Form {

    public function __construct($name = null, $options = array()) {
        parent::__construct('emissao-manual', $options);
        $this->setInputFilter(new EmissaoManualFilter());
        $this->setAttribute('method', 'post');
        
        $pessoa = new Select("pessoa");
        $pessoa->setLabel("Nome do participante")->setAttribute("class", "combobox form-control input-large");
        $pessoa->setValueOptions($options["pessoas"]);
        $this->add($pessoa);

        $evento = new Select("evento");
        $evento->setLabel("Evento")->setAttribute("class", "combobox form-control input-large");
        $evento->setValueOptions($options["eventos"]);
        $this->add($evento);

        $tipo_participante = new Select("tipo_participante");
        $tipo_participante->setLabel("Tipo do Participante")->setAttribute("class", "combobox form-control input-large");
        $tipo_participante->setValueOptions($options["tipos_participante"]);
        $this->add($tipo_participante);

        $modo = new Select("modo");
        $modo->setLabel("Modo")->setAttribute("class", "combobox form-control input-large");
        $modo->setValueOptions($options["modos"]);
        $this->add($modo);


        $modelo = new Select("modelo");
        $modelo->setLabel("Modelo")->setAttribute("class", "combobox form-control input-large");
        $modelo->setValueOptions($options["modelos"]);
        $this->add($modelo);

        $carga_horaria = new Text("carga_horaria");
        $carga_horaria->setLabel("Carga Horária")->setAttribute("class", "form-control");
        $this->add($carga_horaria);

        $titulo = new Text("titulo");
        $titulo->setLabel("Título")->setAttribute("class", "form-control input-large");
        $this->add($titulo);

        $outros = new Text("outros");
        $outros->setLabel("Outras Pessoas")->setAttribute("class", "form-control");
        $this->add($outros);

        $colocacao = new Text("colocacao");
        $colocacao->setLabel("Colocação")->setAttribute("class", "form-control");
        $this->add($colocacao);
        
        $categoria = new Text("categoria");
        $categoria->setLabel("Categoria")->setAttribute("class", "form-control");
        $this->add($categoria);

        $this->add(array(
            'name' => 'submit',
            'type' => 'Zend\Form\Element\Submit',
            'attributes' => array(
                'value' => 'Emitir',
                'class' => 'btn btn-success form-control'
            )
        ));
    }

}
