<?php

namespace Certificados\Form;

use Zend\InputFilter\InputFilter;

class EmissaoManualFilter extends InputFilter {

    public function __construct() {


        $this->add(array(
            'name' => 'pessoa',
            'required' => true,
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'evento',
            'required' => true,
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'tipo_participante',
            'required' => true,
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'modo',
            'required' => true,
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'modelo',
            'required' => true,
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'carga_horaria',
            'required' => true,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
            ),
            'validators' => array(
                array(
                    'name' => 'NotEmpty',
                    'options' => array(
                        'messages' => array('isEmpty' => 'O campo não pode ser vazio')
                    )
                ),
                array(
                    'name' => 'Regex',
                    'options' => array(
                        'pattern' => '/[0-9]+/'
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'titulo',
            'required' => false,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
        )));
        $this->add(array(
            'name' => 'outros',
            'required' => false,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
        )));
        $this->add(array(
            'name' => 'colocacao',
            'required' => false,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
            ),
            'validators' => array(
                array(
                    'name' => 'Regex',
                    'options' => array(
                        'pattern' => '/[0-9]+/'
                    )
                )
            )
        ));
        $this->add(array(
            'name' => 'categoria',
            'required' => false,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
        )));
    }

}
